=== ntpfrob/wscript ===
def build(ctx):
    frob_sources = ['main.c', 'bumpclock.c', 'dump.c', 'jitter.c',
                    'precision.c', 'pps-api.c', 'tickadj.c']

    ctx(
        features="c cprogram",
        includes=[ctx.bldnode.parent.abspath(), "../include"],
        install_path='${BINDIR}',
        source=frob_sources,
        target="ntpfrob",
        use="M RT",
    )

    ctx.manpage(8, "ntpfrob-man.adoc")
