=== debian/changelog ===
ntpsec (1.1.8+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:37:38 +0000

ntpsec (1.1.8+dfsg1-4) unstable; urgency=medium

  * Switch to python3-gps
  * Fix asciidoc version check (and FTBFS)

 -- Richard Laager <rlaager@wiktel.com>  Sun, 29 Dec 2019 00:22:24 -0600

ntpsec (1.1.8+dfsg1-3) unstable; urgency=medium

  * Backport fixes to NTS logging
  * Backport a fix for clock fuzz errors

 -- Richard Laager <rlaager@wiktel.com>  Thu, 05 Dec 2019 21:53:36 -0600

ntpsec (1.1.8+dfsg1-2) unstable; urgency=medium

  * Changes as of ntp_4.2.8p12+dfsg-3 have been merged as appropriate:
    - rotate-stats: Limit to specific filename patterns.
      Thanks to Bernhard Schmidt <berni@debian.org>
      with changes for NTPsec by: Richard Laager <rlaager@wiktel.com>
    - AppArmor: fix path to Samba NTP signing socket.
      Thanks to Bernhard Schmidt <berni@debian.org>
  * Patch out a docs reference to /var/db
  * Update quick.adoc to use /var/log/ntpsec
  * Add default cert & key files to apparmor policy
  * Update the Ubuntu example in quick.adoc
  * Fix some mentions of the "ntp" user
  * Use /var/lib/ntpsec for driftfile
  * Move ntp.keys to /etc/ntpsec (Closes: 945754)
  * Use /etc/ntpsec in the code and docs
  * Cleanup the ntpleapfetch documentation
  * Workaround ntpconf failed expansion
  * Add an ntp.keys HOWTO to README.Debian
  * Do not install panda.adoc
  * Remove the ancient SMP notes from README.Debian
  * Remove the ancient hwclock notes from README.Debian
  * Reorder README.Debian
  * Require python3-ntp version to match

 -- Richard Laager <rlaager@wiktel.com>  Thu, 05 Dec 2019 00:04:11 -0600

ntpsec (1.1.8+dfsg1-1) unstable; urgency=medium

  * New upstream version
    - Fix/tweak several NTS logging messages
    - Make ntpq -c :config work
    - Fix potential buffer overrun in nts_client.c ALPN checking
    - Fix broken variable substitutions in documentation
    - Add OpenSSL version logging
    - Use the -4/-6 flag for both NTS-KE lookup and NTP lookup
    - Repair ugly crash from NTS client if broken ca filename
    - Fix logging hostname/null bug in dns_probe
  * Drop two patches (merged upstream)
  * Refresh Debian-specific patches
  * Add upstream metadata (DEP-12 / UMEGAYA)
  * Remove lintian ...install-key overrides
  * Remove debian/compat
  * Update git branch structure to follow DEP-14
  * Document the use of "unapplied" patch format
  * Remove __pycache__ directories when repacking
  * Update repack-waf for uscan version 4
  * Rework debian/README.source
  * Make debian/repack-waf shellcheck-clean
  * Remove an old bug note not applicable on Debian

 -- Richard Laager <rlaager@wiktel.com>  Sun, 17 Nov 2019 23:30:18 -0600
